geo_mpi_dual.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | MAX_THRESH 20
#define | QSSWAP(a, b, stmp) do { stmp = (a); (a) = (b); (b) = stmp; } while (0)
#define | STACK_SIZE (8 * sizeof(unsigned long int))
#define | PUSH(low, high) ((void) ((top->lo = (low)), (top->hi = (high)), ++top))
#define | POP(low, high) ((void) (--top, (low = top->lo), (high = top->hi)))
#define | STACK_NOT_EMPTY (stack < top)

## Functions

void | geo_dual (my_idxtype *elmdist, my_idxtype *eptr, vector< my_idxtype > &eind, int *ncommonnodes, vector< my_idxtype > &xadj, vector< my_idxtype > &adjncy, const mpi::communicator &comm)

## Macro Definition Documentation

## MAX_THRESH

#define MAX_THRESH 20

Definition at line 333 of file geo_mpi_dual.cc.

## QSSWAP

#define QSSWAP | ( |  | a,
|  |  | b,
|  |  | stmp
| ) |  | do { stmp = (a); (a) = (b); (b) = stmp; } while (0)

Definition at line 336 of file geo_mpi_dual.cc.

## STACK_SIZE

#define STACK_SIZE (8 * sizeof(unsigned long int))

Definition at line 346 of file geo_mpi_dual.cc.

## PUSH

#define PUSH | ( |  | low,
|  |  | high
| ) |  | ((void) ((top->lo = (low)), (top->hi = (high)), ++top))

Definition at line 347 of file geo_mpi_dual.cc.

## POP

#define POP | ( |  | low,
|  |  | high
| ) |  | ((void) (--top, (low = top->lo), (high = top->hi)))

Definition at line 348 of file geo_mpi_dual.cc.

## STACK_NOT_EMPTY

#define STACK_NOT_EMPTY (stack < top)

Definition at line 349 of file geo_mpi_dual.cc.